## db 4.6.21

=== docs_src/dbc/Makefile ===
# $Id: Makefile,v 1.4 2007/05/08 21:37:19 bostic Exp $

COMMON=	dbc_class.html \
	dbc_close.html \
	dbc_count.html \
	dbc_del.html \
	dbc_dup.html \
	dbc_get.html \
	dbc_list.html \
	dbc_put.html \
	dbc_set_priority.html

=== docs_src/exc/Makefile ===
# $Id: Makefile,v 10.5 2006/10/05 01:06:05 bostic Exp $

COMMON=
CXX=	exc_package.html

=== docs_src/images/Makefile ===
# $Id: Makefile,v 10.13 2007/07/06 18:24:51 bostic Exp $

COPY=	api.gif next.gif prev.gif ps.gif ref.gif
BUILD=

all: ${BUILD}

=== docs_src/log/Makefile ===
# $Id: Makefile,v 1.6 2005/09/30 19:00:24 bostic Exp $

COMMON=	env_set_lg_bsize.html \
	env_set_lg_dir.html \
	env_set_lg_max.html \
	env_set_lg_mode.html \
	env_set_lg_regionmax.html \
	log_archive.html \
	log_compare.html \
	log_cursor.html \
	log_file.html \
	log_flush.html \
	log_list.html \
	log_printf.html \
	log_put.html \
	log_stat.html \
	logc_class.html \
	logc_close.html \
	logc_get.html \
	lsn_class.html

=== docs_src/mutex/Makefile ===
# $Id: Makefile,v 10.1 2005/07/20 16:33:59 bostic Exp $

COMMON=	mutex_alloc.html \
	mutex_free.html \
	mutex_list.html \
	mutex_lock.html \
	mutex_set_align.html \
	mutex_set_max.html \
	mutex_set_tas_spins.html \
	mutex_stat.html \
	mutex_unlock.html

=== docs_src/rep/Makefile ===
# $Id: Makefile,v 1.8 2007/06/22 16:57:17 bostic Exp $

COMMON=	rep_config.html \
	rep_elect.html \
	rep_limit.html \
	rep_list.html \
	rep_message.html \
	rep_nsites.html \
	rep_priority.html \
	rep_request.html \
	rep_start.html \
	rep_stat.html \
	rep_sync.html \
	rep_timeout.html \
	rep_transport.html\
	repmgr_ack_policy.html \
	repmgr_local_site.html \
	repmgr_remote_site.html \
	repmgr_site_list.html \
	repmgr_start.html \
	repmgr_stat.html

=== docs_src/utility/Makefile ===
# $Id: Makefile,v 10.13 2007/05/04 14:14:11 bostic Exp $

BUILD=  berkeley_db_svc.html db_archive.html db_checkpoint.html \
	db_codegen.html db_deadlock.html db_dump.html db_hotbackup.html \
	db_load.html db_printlog.html db_recover.html db_stat.html \
	db_upgrade.html db_verify.html index.html

XML=	index.html dbxml_dump.html dbxml_load.html dbxmlsh.html \
	load_container.html

=== docs_src/ref/apprec/Makefile ===
# $Id: Makefile,v 10.2 2002/06/22 13:57:29 bostic Exp $

BUILD=	auto.html config.html def.html intro.html

all: ${BUILD}

=== docs_src/ref/build_brew/Makefile ===
# $Id: Makefile,v 1.1 2006/11/13 16:32:52 bostic Exp $

BUILD=	intro.html

all: ${BUILD}

=== docs_src/ref/build_s60/Makefile ===
# $Id: Makefile,v 1.1 2007/04/18 16:09:28 bostic Exp $

BUILD=	intro.html

all: ${BUILD}

=== docs_src/ref/build_wince/Makefile ===
# $Id: Makefile,v 1.1 2007/05/30 08:39:08 alexg Exp $

BUILD=	faq.html intro.html notes.html

all: ${BUILD}

=== docs_src/ref/cam/Makefile ===
# $Id: Makefile,v 10.7 2005/09/23 16:26:36 bostic Exp $

BUILD=	app.html fail.html intro.html

all: ${BUILD}

## db 05apr2009

=== Makefile ===
BINDIR =	/usr/local/bin
LIBDIR =	/usr/local/lib
INCDIR =	/usr/local/include
MANDIR =	/usr/local/man/man1
CC =		gcc
CFLAGS =	-O -Wall -I.
#CFLAGS =	-g -Wall
LDFLAGS =	-s -L.
#LDFLAGS =	-g

all:		db

db:		db.c libdb.a libdb.h
	${CC} ${CFLAGS} db.c ${LDFLAGS} -ldb -o db

libdb.a:	libdb.o
	ar rc libdb.a libdb.o

libdb.o:	libdb.c libdb.h
	${CC} ${CFLAGS} -c libdb.c

install:	all
	rm -f ${BINDIR}/db
	cp db ${BINDIR}/db
	rm -f ${LIBDIR}/libdb.a
	cp libdb.a ${LIBDIR}/libdb.a
	rm -f ${INCDIR}/libdb.h
	cp libdb.h ${INCDIR}/libdb.h
	rm -f ${MANDIR}/db.1
	cp db.1 ${MANDIR}/db.1

clean:
	rm -f db *.o *.a core core.* *.core

## db 5.1.19

=== debian/changelog ===
db (5.1.19-2ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Pass --build/--host to configure to support cross-building, and don't
      override CC.
    - Disable the Java build when cross-building, for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Dec 2010 14:38:37 +0000

db (5.1.19-2) unstable; urgency=low

  * Remove ancient Conflicts.
  * Add Conflicts for libdb5.0-dev and libdb5.0-tcl just in case.
    closes: #602363.

 -- Clint Adams <clint@gnu.org>  Sun, 05 Dec 2010 15:14:08 -0500

db (5.1.19-1ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Pass --build/--host to configure to support cross-building, and don't
      override CC.
    - Disable the Java build when cross-building, for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Nov 2010 15:02:09 +0000

db (5.1.19-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Mon, 20 Sep 2010 21:03:09 -0400

db (5.0.26-3ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Pass --build/--host to configure to support cross-building, and don't
      override CC.
    - Disable the Java build when cross-building, for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Oct 2010 22:16:35 +0100

db (5.0.26-3) unstable; urgency=low

  * Patch from Aurelien Jarno to avoid following javac symlinks to
    ultimately avoid failing to equate
    /usr/lib/jvm/default-java/bin/../../../.. to /usr when using
    GCJ.  closes: #594816.

 -- Clint Adams <schizo@debian.org>  Mon, 30 Aug 2010 19:18:11 -0400

db (5.0.26-2) unstable; urgency=low

  * Version initialized data symbols as well, since they are occurring
    on mips for some reason.
  * Bump to Standards-Version 3.9.1.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Aug 2010 20:04:12 -0400

db (5.0.26-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards Version 3.9.0.

 -- Clint Adams <schizo@debian.org>  Sat, 10 Jul 2010 12:37:46 -0400

db (5.0.21-2) unstable; urgency=low

  * Force POSIX mutexes on avr32.

 -- Clint Adams <schizo@debian.org>  Wed, 21 Apr 2010 13:54:50 -0400

db (5.0.21-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.8.4.
  * Tweak symbol versioning hack to hack around db5.0 weirdness.
  * Add libdb5.0-{sql,stl}{,-dev} packages.

 -- Clint Adams <schizo@debian.org>  Sun, 04 Apr 2010 09:37:47 -0400

db (4.8.26-2) unstable; urgency=low

  * Tweaked patch from Rafael Almeida to fix misnamed DB_CURSOR_BULK
    flag in C/C++ API documentation.  closes: #574467.
  * Add avr32 as unsupported for Java.  closes: #575138.
  * Rewrite db4.8-doc long description.  closes: #550106.
  * Add Java support for alpha.  closes: #541612.

 -- Clint Adams <schizo@debian.org>  Thu, 25 Mar 2010 08:23:14 -0400

db (4.8.26-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Tue, 29 Dec 2009 15:26:27 -0500

db (4.8.24-2) unstable; urgency=low

  * Fix typo in description of libdb4.8-java-gcj.
  * db4.8_load.1: fix typo of "keyword", thanks to "sobtwmxt".
    closes: #551457.
  * Clarify db4.8_load(1) title.  closes: #557568.
  * Fix -java-gcj package build for gcj-4.4.  closes: #558334.
  * Switch to 3.0 (quilt) source format.

 -- Clint Adams <schizo@debian.org>  Wed, 16 Dec 2009 22:43:58 -0500

db (4.8.24-1ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ignore test results on armel; testsuite fails on the buildd with 
        FAIL: run_subsystem: env env014:  env194: munmap: Invalid argument
        FAIL: Unable to allocate memory for transaction detail
        FAIL: run_subsystem: log log005:  txn:not enough memory
    - Build-depend on debhelper, needed by dh_nativejava. It doesn't seem
      reasonable for libgcj-common to depend on debhelper since that's also
      used by run-time libraries.
    - Pass --build/--host to configure to support cross-building, and don't
      override CC.
    - Disable the Java build when cross-building, for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Nov 2009 13:37:44 +0000

db (4.8.24-1) unstable; urgency=low

  * New upstream version.
    - RPC support has been dropped.
  * Bump to Standards-Version 3.8.3.
  * Force POSIX/pthreads/library mutexes on amd64.  closes: #520926.

 -- Clint Adams <schizo@debian.org>  Tue, 15 Sep 2009 00:13:05 -0400

db (4.7.25-7ubuntu3~cross2) karmic; urgency=low

  * Disable the Java build when cross-building, for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Oct 2009 19:18:01 +0100

db (4.7.25-7ubuntu3~cross1) karmic; urgency=low

  * Pass --build/--host to configure to support cross-building, and don't
    override CC.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Oct 2009 19:14:36 +0100

db (4.7.25-7ubuntu2) karmic; urgency=low

  * Build-depend on debhelper, needed by dh_nativejava. It doesn't seem
    reasonable for libgcj-common to depend on debhelper since that's also
    used by run-time libraries.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jul 2009 13:22:29 +0100

db (4.7.25-7ubuntu1) karmic; urgency=low

  * Merge with Debian; remaining changes:
  * Ignore test results on armel; testsuite fails on the buildd with 
      FAIL: run_subsystem: env env014:  env194: munmap: Invalid argument
      FAIL: Unable to allocate memory for transaction detail
      FAIL: run_subsystem: log log005:  txn:not enough memory

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jul 2009 15:28:25 +0200

db (4.7.25-7) unstable; urgency=low

  * Apply upstream patch 4.7.25.4: [#16299] Fix a bug which could cause
    a SEGV in __repmgr_available_site if a site becomes master after
    winning an election but is still processing client messages.
  * Bump to Standards-Version 3.8.2.
  * Move libdb4.7-dbg to section 'debug', priority 'extra'.
  * Move libdb4.7-java and libdb4.7-java-gcj to section 'java'.


=== debian/control ===
Source: db
Section: libs
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Clint Adams <clint@gnu.org>
Standards-Version: 3.9.1
Build-Depends: tcl8.5-dev, procps [!hurd-i386], default-jdk-builddep [!arm !hppa !hurd-i386 !m32r !avr32]
Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=private/schizo/db.git;a=summary
Vcs-Git: git://git.debian.org/git/private/schizo/db.git

Package: db5.1-doc
Architecture: all
Section: doc
Priority: optional
Description: Berkeley v5.1 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 5.1 of Berkeley DB.

Package: libdb5.1-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1 (= ${binary:Version})
Suggests: db5.1-doc
Conflicts: libdb4.2-dev, libdb4.5-dev, libdb4.6-dev, libdb4.7-dev, libdb4.8-dev, libdb5.0-dev
Description: Berkeley v5.1 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1
Architecture: any
Conflicts: libdb2 (<< 2:2.7.7-3)
Section: libs
Priority: standard
Depends: ${shlibs:Depends}
Description: Berkeley v5.1 Database Libraries [runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database library.

Package: db5.1-util
Architecture: any
Section: utils
Priority: optional
Depends: ${shlibs:Depends}
Description: Berkeley v5.1 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.1 database format, and includes:
  - db5.1_archive: write the pathnames of the log files no longer in use.
  - db5.1_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db5.1_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db5.1_load: loads (and creates) a database from standard input.
  - db5.1_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db5.1_printlog: dump log files in human readable format.
  - db5.1_stat: display statistics for Berkeley DB environments.
  - db5.1_upgrade: upgrades the version of files and the databases they
    contain.
  - db5.1_verify: check the structure of files and their databases.

Package: libdb5.1++
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libdb2++ (<< 2:2.7.7-3)
Section: libs
Priority: optional
Description: Berkeley v5.1 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v5.1
 database library.  This is only for programs which use the C++ interface.

Package: libdb5.1++-dev
Architecture: any
Provides: libdb++-dev
Conflicts: libdb++-dev
Section: libdevel
Priority: extra
Depends: libdb5.1++ (= ${binary:Version}), libdb5.1-dev (= ${binary:Version})
Description: Berkeley v5.1 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb5.1-tcl
Architecture: any
Section: interpreters
Priority: extra
Conflicts: libdb4.2-tcl, libdb4.5-tcl, libdb4.6-tcl, libdb4.7-tcl, libdb4.8-tcl, libdb5.0-tcl
Depends: ${shlibs:Depends}
Description: Berkeley v5.1 Database Libraries for Tcl [module]
 This package provides a Tcl module suitable for accessing Berkeley v5.1
 databases from within Tcl programs.

Package: libdb5.1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdb5.1 (= ${binary:Version})
Description: Berkeley v5.1 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v5.1 database
 library.

Package: libdb5.1-java
Architecture: any
Section: java
Priority: optional
Provides: libdb-java
Conflicts: libdb-java
Depends: ${shlibs:Depends}
Recommends: libdb5.1-java-gcj
Description: Berkeley v5.1 Database Libraries for Java
 This package provides the Java interface for the Berkeley v5.1 database
 library.

Package: libdb5.1-java-gcj
Architecture: any
Section: java
Priority: optional
Depends: libdb5.1-java (>= ${source:Version}), libgcj-common (>> 1:4.1.1-13), ${shlibs:Depends}
Description: Berkeley v5.1 Database Libraries for Java (native code)
 This package provides the Java interface for the Berkeley v5.1 database
 library.
 .
 This package contains the natively compiled code for use by gij.

Package: libdb5.1-java-dev
Architecture: any
Section: libdevel
Priority: optional
Provides: libdb-java-dev
Conflicts: libdb-java-dev
Depends: ${shlibs:Depends}, libdb5.1-java
Description: Berkeley v5.1 Database Libraries for Java [development]
 This package provides the Java interface for the Berkeley v5.1 database
 library.

Package: libdb5.1-sql-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1-sql (= ${binary:Version})
Suggests: db5.1-doc
Description: Berkeley v5.1 Database Libraries [SQL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1-sql
Architecture: any
Section: libs
Priority: extra
Depends: ${shlibs:Depends}
Description: Berkeley v5.1 Database Libraries [SQL runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database SQL library.

Package: libdb5.1-stl-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1-stl (= ${binary:Version})
Suggests: db5.1-doc
Description: Berkeley v5.1 Database Libraries [STL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1-stl
Architecture: any
Section: libs
Priority: extra
Depends: ${shlibs:Depends}
Description: Berkeley v5.1 Database Libraries [STL runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database STL library.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

JAVA_UNSUPPORTED_CPUS = zm32rz zarmz zhppaz zavr32z
JAVA_UNSUPPORTED_SYSTEMS = zgnuz zknetbsd-gnuz
-include /usr/share/gcj/debian_defaults

CONFIGURE_VARS = CFLAGS="$(CFLAGS)" CPPFLAGS="-I/usr/include/tcl8.5" 
CONFIGURE_SWITCHES =    --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib \
			--enable-cxx \
			--enable-compat185 \
			--enable-sql \
			--enable-stl \
			--enable-tcl \
			--with-tcl=/usr/lib/tcl8.5 \
			--enable-test \
			--build=$(DEB_BUILD_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CONFIGURE_SWITCHES +=	--host=$(DEB_HOST_GNU_TYPE)
endif

DB_BINARY_PKGS = libdb5.1 libdb5.1-dev libdb5.1++ libdb5.1++-dev libdb5.1-tcl db5.1-util libdb5.1-dbg libdb5.1-sql libdb5.1-sql-dev libdb5.1-stl libdb5.1-stl-dev

ifeq (zx86_64-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
CONFIGURE_SWITCHES += --with-mutex=POSIX/pthreads/library
endif
ifeq (zavr32-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
CONFIGURE_SWITCHES += --enable-posixmutexes
endif

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(JAVA_UNSUPPORTED_CPUS)))
ifeq (,$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(JAVA_UNSUPPORTED_SYSTEMS)))
JAVA_HOME = /usr/lib/jvm/default-java
JAVA_BIN = $(JAVA_HOME)/bin
CFLAGS += -I$(JAVA_HOME)/include
JAVACFLAGS = -source 1.5
CONFIGURE_VARS += GCJ="$(JAVA_BIN)/gcj"
CONFIGURE_VARS += JAVAC="$(JAVA_BIN)/javac"
CONFIGURE_VARS += JAVA="$(JAVA_BIN)/java" JAR="$(JAVA_BIN)/jar"
CONFIGURE_VARS += JAVACFLAGS="$(JAVACFLAGS)"
CONFIGURE_SWITCHES += --enable-java
DB_BINARY_PKGS += libdb5.1-java libdb5.1-java-dev
ifneq (,$(filter $(DEB_BUILD_ARCH), $(gcj_native_archs)))
DB_BINARY_PKGS += libdb5.1-java-gcj
endif
endif
endif
endif

ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
CONFIGURE_VARS += STRIP=":"
endif

BROKEN_ARCHES = zs390z
VERY_BROKEN_ARCHES = zm68kz zhppaz

package=db5.1
bdbversion=5.1

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

build:
	$(checkdir)
	
	mkdir -p obj

	cd obj && $(CONFIGURE_VARS) \
		../dist/configure $(CONFIGURE_SWITCHES)

	cd obj && $(MAKE)

ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(VERY_BROKEN_ARCHES)))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	chmod +x ./debian/runtests.tclsh
	cd obj && ../debian/runtests.tclsh || true

ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(BROKEN_ARCHES)))
	! grep ^FAIL obj/ALL.OUT
else
	grep ^FAIL obj/ALL.OUT || true
endif
endif
endif

	touch build

clean:
	$(checkdir)
	rm -rf obj
	rm -f build install-stamp
	-rm -rf debian/tmp debian/$(package)* debian/lib$(package)* core
	-rm -f debian/substvars.*
	rm -rf debian/libdb*

install-stamp: build
	$(checkdir)

	rm -rf debian/tmp
	$(INSTALL_DIR) debian/tmp

	cd obj && $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

	touch install-stamp

binary-indep: checkroot build install-stamp
	$(checkdir)

	rm -rf debian/$(package)-doc
	$(INSTALL_DIR) debian/$(package)-doc/usr/share/doc debian/$(package)-doc/DEBIAN

	cd debian/tmp/usr/docs && rm -rf `find . -type d -name ".arch-ids"`
	cp -a debian/tmp/usr/docs debian/$(package)-doc/usr/share/doc/$(package)-doc

	$(INSTALL_FILE) debian/copyright debian/$(package)-doc/usr/share/doc/$(package)-doc/copyright
	$(INSTALL_FILE) debian/changelog debian/$(package)-doc/usr/share/doc/$(package)-doc/changelog.Debian
	gzip -9frq debian/$(package)-doc/usr/share/doc/$(package)-doc/changelog.Debian

	cd debian/$(package)-doc && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
	dpkg-gencontrol -isp -p$(package)-doc -Pdebian/$(package)-doc
	chown -R root:root debian/$(package)-doc
	chmod -R ugo=rX,u+w debian/$(package)-doc
	dpkg --build debian/$(package)-doc ..

binary-arch: checkroot build install-stamp
	$(checkdir)

	rm -rf debian/lib$(package)-dev debian/$(package)-util debian/lib$(package) \
		debian/lib$(package)++ debian/lib$(package)++-dev debian/lib$(package)-tcl \
		debian/lib$(package)-java debian/lib$(package)-java-dev \
		debian/lib$(package)-sql debian/lib$(package)-sql-dev \
		debian/lib$(package)-stl debian/lib$(package)-stl-dev

	$(INSTALL_DIR) debian/lib$(package)-dev/usr/lib \
			debian/$(package)-util/usr/share/man/man1 \
			debian/lib$(package)/usr/lib debian/lib$(package)++/usr/lib \
			debian/lib$(package)++-dev/usr/include \
			debian/lib$(package)++-dev/usr/lib \
			debian/lib$(package)-tcl/usr/lib \
			debian/lib$(package)-java/usr/lib \
			debian/lib$(package)-java/usr/share/java \
			debian/lib$(package)-java-dev/usr/lib \
			debian/lib$(package)-dbg/usr/lib/debug/usr/lib \
			debian/lib$(package)-sql/usr/lib \
			debian/lib$(package)-sql-dev/usr/lib \
			debian/lib$(package)-sql-dev/usr/include \
			debian/lib$(package)-stl/usr/lib \
			debian/lib$(package)-stl-dev/usr/lib \
			debian/lib$(package)-stl-dev/usr/include

	objcopy --only-keep-debug debian/tmp/usr/lib/libdb-$(bdbversion).so \
                                  debian/lib$(package)-dbg/usr/lib/debug/usr/lib/libdb-$(bdbversion).so.debug

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip --remove-section=.note --remove-section=.comment \
	      debian/tmp/usr/lib/*.so debian/tmp/usr/bin/*
	strip --strip-debug debian/tmp/usr/lib/*.a
endif

	objcopy --add-gnu-debuglink=debian/lib$(package)-dbg/usr/lib/debug/usr/lib/libdb-$(bdbversion).so.debug \
				debian/tmp/usr/lib/libdb-$(bdbversion).so

	chmod 644 debian/tmp/usr/lib/*.so debian/tmp/usr/include/*.h
	chmod 755 debian/tmp/usr/bin/*

	cp -a debian/tmp/usr/include debian/lib$(package)-dev/usr
	cp -a debian/tmp/usr/bin debian/$(package)-util/usr
	cp -a debian/tmp/usr/lib/*.so debian/tmp/usr/lib/*.a \
	        debian/tmp/usr/lib/*.la debian/lib$(package)-dev/usr/lib
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(JAVA_UNSUPPORTED_CPUS)))
ifeq (,$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(JAVA_UNSUPPORTED_SYSTEMS)))
	cp -a debian/tmp/usr/lib/db.jar \
		debian/lib$(package)-java/usr/share/java/lib$(package)-java-$(version).jar
	ln -s lib$(package)-java-$(version).jar \
		debian/lib$(package)-java/usr/share/java/lib$(package)-java.jar
ifneq (,$(filter $(DEB_BUILD_ARCH), $(gcj_native_archs)))
	mkdir debian/lib$(package)-java-gcj
	(TMPFILE=$$(mktemp --tmpdir sourcelist.XXXXXXXXXX) && \
	find $(CURDIR) -type f ! -type l >$$TMPFILE && \
	aot-compile -L /usr/lib/gcj -c -fsource-filename=$$TMPFILE debian/lib$(package)-java debian/lib$(package)-java-gcj/usr/lib/gcj; \
	retval=$?; \
	rm -f $$TMPFILE; exit $$retval)
	mkdir -p debian/lib$(package)-java-gcj/usr/share/gcj/classmap.d
	mv debian/lib$(package)-java-gcj/usr/lib/gcj/*.db debian/lib$(package)-java-gcj/usr/share/gcj/classmap.d
endif
endif
endif
endif
	mv debian/lib$(package)-dev/usr/lib/*cxx* debian/lib$(package)++-dev/usr/lib
	mv debian/lib$(package)-dev/usr/include/*cxx* debian/lib$(package)++-dev/usr/include
	mv debian/lib$(package)-dev/usr/lib/*tcl* debian/lib$(package)-tcl/usr/lib
	mv debian/lib$(package)-dev/usr/lib/*sql* debian/lib$(package)-sql-dev/usr/lib

## db 5.1.25

=== lang/sql/sqlite/ext/bfile/build/Makefile ===
#!/usr/make
#
# Makefile for DBSQL BFile
#
# This makefile is suppose to be build for linux and windriver-ovia.
# But if that does not work for you, you can configure the makefile 
# manually.  Just set the parameters below to values that
# work well for your system.
#

# The toplevel directory of the source tree.
#
TOP = ../
# When manipulating BFILE, if you want to use c-functions set it to 1;
# Otherwise, set it to zero
ENABLE_BFILE_CAPI = 0

# The ovia options
#
ifeq ($(BUILD_OVIA), 1)
CROSS_COMPILE = arm-wrs-linux-gnueabi-arm_novfp-glibc_small-
CFLAGS += -msoft-float
CFLAGS += -I$(WIND_BASE)/wrlinux/target-libs/glibc_small/arm-wrs-linux-gnueabi-arm_novfp/include
CFLAGS += -L$(WIND_BASE)/wrlinux/target-libs/glibc_small/arm-wrs-linux-gnueabi-arm_novfp/lib
#TLIBS += -ldl
endif

# C Compile and options for use in building executables that 
# will run on the target platform.
#
TCC = $(CROSS_COMPILE)gcc
TCC += $(CFLAGS) -fPIC -O3 -I${TOP}/include -I$(DBSQL_DIR)/include -I../../../../generated -I../../../src
ifeq ($(ENABLE_BFILE_CAPI), 1)
TCC += -DBFILE_USE_CAPIS
endif

# Any target libraries which libsqlite must be linked against
# 
TLIBS += -lpthread -ldl

# The directory into which to store package information for

# Some standard variables and programs
#
prefix = $(DBSQL_DIR)
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
INSTALL = /usr/bin/install -c

# You should not have to change anything below this line
###############################################################################


# This is the default Makefile target.  The objects listed here
# are what get build when you type just "make" with no arguments.
#
ifndef DBSQL_DIR
all:
	echo "Please set the correct path for DBSQL_DIR"
else
all:	libbfile_ext.so bfile_test bfile_example
endif

libbfile_ext.so:	$(TOP)/src/bfile.c $(TOP)/include/bfile.h
	$(TCC) $(TOP)/src/bfile.c -o libbfile_ext.so -shared

ifeq ($(ENABLE_BFILE_CAPI), 0)
bfile_test:	$(TOP)/test/bfile_test_sql.c $(TOP)/include/bfile.h libbfile_ext.so
	$(TCC) $(TOP)/test/bfile_test_sql.c -o bfile_test_sql $(TLIBS) -L. -lbfile_ext -L$(DBSQL_DIR)/lib -ldb_sql -ldl
bfile_example:	$(TOP)/examples/bfile_example_sql.c $(TOP)/include/bfile.h libbfile_ext.so
	$(TCC) $(TOP)/examples/bfile_example_sql.c -o bfile_example_sql $(TLIBS) -L. -lbfile_ext -L$(DBSQL_DIR)/lib -ldb_sql -ldl
else
bfile_test:	$(TOP)/test/bfile_test_capi.c $(TOP)/include/bfile.h libbfile_ext.so
	$(TCC) $(TOP)/test/bfile_test_capi.c -o bfile_test_capi $(TLIBS) -L. -lbfile_ext -L$(DBSQL_DIR)/lib -ldb_sql -ldl
bfile_example:	$(TOP)/examples/bfile_example_capi.c $(TOP)/include/bfile.h libbfile_ext.so
	$(TCC) $(TOP)/examples/bfile_example_capi.c -o bfile_example_capi $(TLIBS) -L. -lbfile_ext -L$(DBSQL_DIR)/lib -ldb_sql -ldl
endif
install:	libbfile_ext.so $(TOP)/include/bfile.h
	$(INSTALL) -m 0755 libbfile_ext.so $(DESTDIR)$(libdir)
	$(INSTALL) -m 0644 $(TOP)/include/bfile.h $(DESTDIR)$(includedir)

clean:	
	rm -rf *.jpg *.db* libbfile_ext.so bfile_test bfile_example

# Makefile can not test for ovia. It sould be copy to ovia platform.
# The follow target only suit for linux.
#
ifeq ($(BUILD_OVIA), 0)
test:	bfile_test
	env LD_LIBRARY_PATH=.:$(DBSQL_DIR)/lib:$(LD_LIBRARY_PATH) ./bfile_test

ifdef TESTFIXTURE
ifdef TEST_DIR
tcl_test:	$(TOP)/test/bfile.test
	cp $(TOP)/test/bfile.test $(TEST_DIR)/
	env LD_LIBRARY_PATH=.:$(DBSQL_DIR)/lib:$(LD_LIBRARY_PATH) $(TESTFIXTURE) $(TEST_DIR)/bfile.test
else
tcl_test:
	-echo "Please set the correct fullpath for TEST_DIR"
endif
else
tcl_test:
	-echo "Please set the correct fullpath for TESTFIXTURE"
endif

run:	bfile_example
	env LD_LIBRARY_PATH=.:$(DBSQL_DIR)/lib:$(LD_LIBRARY_PATH) ./bfile_example
endif

=== debian/changelog ===
db (5.1.25-10) unstable; urgency=low

  * Drop dependency on ca-certificates-java, it didn't work for non
    openjdk platforms anyway

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Apr 2011 22:24:00 +0200

db (5.1.25-9) unstable; urgency=low

  * Fix HOST vs BUILD variables (Closes: #623543)
  * Rewrite debian/rules to use ENABLE_JAVA and ENABLE_GCJ
  * Enable Java on mips again
  * Move db5.1-sql util to separate package to prevent db5.1-util
    dependency on lidb5.1-sql library
  * Build-depends on ca-certificates-java (>> 20100412)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Apr 2011 14:30:22 +0200

db (5.1.25-8) unstable; urgency=low

  * Disable Java build on mips to fix FTBS

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 15:22:27 +0200

db (5.1.25-7) unstable; urgency=low

  * Revert to upstream JAR name -> db.jar

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 08:51:57 +0200

db (5.1.25-6) unstable; urgency=low

  * Enable Java support on every Debian architecture
  * Debian packaging:
    + Add javahelper addon for debhelper
    + Change DEB_HOST_ARCH to DEB_BUILD_ARCH
    + Keep -Ddist -Bbuild to overridden dh_auto_ commands to fix
      javahelper breakage
    + Fix typo and set GCJ CFLAGS out of the condition
    + Only rename db.jar to libdb5.1.jar and rest let to jh_installlibs
    + Change --fail-missing to --list-missing
    + Move dh_nativejava after jh_installibs

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 00:21:34 +0200

db (5.1.25-5) unstable; urgency=low

  * Fix FTBFS when buildd directory is named db_<version>

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 18:18:01 +0200

db (5.1.25-4) unstable; urgency=low

  * Add debug info for all libraries
  * Fix FTBFS on freebsd-{amd64,i386} (Thanks Matthias Klose)
    (Closes: #621878)
  * Fix lintian warnings and errors:
    + Update default java build dependencies
    + Tighten Java libraries dependencies
    + Fix errors in db5.1_load.1 manpage
  * Debian packaging:
    + Convert package build system to debhelper with overrides
    + Move debian/rules to debhelper
    + Remove some obsolete Conflicts
    + Add ${misc:Depends} since we build depend on debhelper now
    + Use tcltk-defaults command for tcl dependencies
      (Closes: #606065)
    + Use dh_nativejava debhelper command
    + Move upstream source changes to quilt patches
  * Add lintian-overrides for:
    + ancient-autotools-helper-file,ancient-libtool: odbc/jdbc is not used
    + package-name-doesnt-match-sonames: historical reasons
    + sqlite3 embedded-library: db5.1-sql provides sqlite3 ABI

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 14:07:51 +0200

db (5.1.25-3) unstable; urgency=low

  * Add conflicts with previous -dev packages (Closes: #622711)
  * Fix Berkeley DB Debian Group email address
  * Remove .la files from the packages (Closes: #621303)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Apr 2011 15:31:30 +0200

db (5.1.25-2) unstable; urgency=low

  * Adopt the package (Closes: #619907)
  * Build-depend on Debian default tcl-dev
  * Move libdb-java, libdb-java-dev and libdb++-dev to empty packages
    built from db-defaults

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Apr 2011 21:59:34 +0200

db (5.1.25-1) unstable; urgency=low

  * New upstream version.
  * Orphan the package.

 -- Clint Adams <clint@debian.org>  Thu, 10 Feb 2011 19:24:27 -0500

db (5.1.19-3) unstable; urgency=low

  [ Thorsten Glaser ]
  * Fix manpage-has-errors-from-man lintian warning
  * Add db4.7_codegen(1) from db4.7 (4.7.25-12), renamed appropriately
  * Correct db5.1-util override disparity
  * Use mktemp -t not --tmpdir to be backportable. (Closes: #584934)
  * Mark testsuite failures non-fatal on Hurd

  [ Clint Adams ]
  * Forward-ported Steve Langasek's cross-compilation patch from db4.8.
  * Re-enable Java package on armel.

 -- Clint Adams <clint@gnu.org>  Tue, 01 Feb 2011 18:21:19 -0500

=== debian/control ===
Source: db
Section: libs
Priority: standard
Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~),
	       tcl-dev,
	       procps [!hurd-i386],
	       javahelper,
	       default-jdk,
	       gcj-native-helper
Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=pkg-db/db.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-db/db.git

Package: db5.1-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Berkeley v5.1 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 5.1 of Berkeley DB.

Package: libdb5.1-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.1-doc
Conflicts: libdb4.6-dev, libdb4.7-dev, libdb4.8-dev
Description: Berkeley v5.1 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1
Architecture: any
Section: libs
Priority: standard
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries [runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database library.

Package: db5.1-util
Architecture: any
Section: database
Priority: optional
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.1 database format, and includes:
  - db5.1_archive: write the pathnames of the log files no longer in use.
  - db5.1_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db5.1_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db5.1_load: loads (and creates) a database from standard input.
  - db5.1_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db5.1_printlog: dump log files in human readable format.
  - db5.1_stat: display statistics for Berkeley DB environments.
  - db5.1_upgrade: upgrades the version of files and the databases they
    contain.
  - db5.1_verify: check the structure of files and their databases.

Package: db5.1-sql-util
Architecture: any
Section: database
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 SQL Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.1 SQL database format, and includes:
  - db5.1

Package: libdb5.1++
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Section: libs
Priority: optional
Description: Berkeley v5.1 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v5.1
 database library.  This is only for programs which use the C++ interface.

Package: libdb5.1++-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1++ (= ${binary:Version}),
	 libdb5.1-dev (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb4.6++-dev, libdb4.7++-dev, libdb4.8++-dev
Description: Berkeley v5.1 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb5.1-tcl
Architecture: any
Section: interpreters
Priority: extra
Conflicts: libdb4.6-tcl, libdb4.7-tcl, libdb4.8-tcl
Depends: ${tcl:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries for Tcl [module]
 This package provides a Tcl module suitable for accessing Berkeley v5.1
 databases from within Tcl programs.

Package: libdb5.1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdb5.1 (= ${binary:Version}),
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v5.1 database
 libraries and binaries.

Package: libdb5.1-java
Architecture: any
Section: java
Priority: optional
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Recommends: libdb5.1-java-gcj
Description: Berkeley v5.1 Database Libraries for Java
 This package provides the Java interface for the Berkeley v5.1 database
 library.

Package: libdb5.1-java-gcj
Architecture: any
Section: java
Priority: optional
Depends: libdb5.1-java (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries for Java (native code)
 This package provides the Java interface for the Berkeley v5.1 database
 library.
 .
 This package contains the natively compiled code for use by gij.

Package: libdb5.1-java-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libdb5.1-java (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libdb4.6-java-dev, libdb4.7-java-dev, libdb4.8-java-dev
Description: Berkeley v5.1 Database Libraries for Java [development]
 This package provides the Java interface for the Berkeley v5.1 database
 library.

Package: libdb5.1-sql-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1-sql (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.1-doc
Description: Berkeley v5.1 Database Libraries [SQL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1-sql
Architecture: any
Section: libs
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries [SQL runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database SQL library.

Package: libdb5.1-stl-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1-stl (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.1-doc
Description: Berkeley v5.1 Database Libraries [STL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1-stl
Architecture: any
Section: libs
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries [STL runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database STL library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Berkeley DB defaults
# Copyright (C) 2011 Ondřej Surý
# Published under the GNU GPL license
# Partially based on previous work by Clint Adams
#
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=.arch-ids

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# Don't try to build this file if missing
/usr/share/gcj/debian_defaults /usr/share/javahelper/java-vars.mk:
	:

-include /usr/share/gcj/debian_defaults
-include /usr/share/javahelper/java-vars.mk

JAVA_BROKEN_ARCHS =
GCJ_BROKEN_ARCHS = ia64 sparc mips
GCJ_NATIVE_ARCHS = $(filter-out $(GCJ_BROKEN_ARCHS), $(gcj_native_archs))

ENABLE_JAVA=no
ENABLE_GJ=no

ifeq (,$(filter $(DEB_HOST_ARCH), $(JAVA_BROKEN_ARCHS)))
ENABLE_JAVA=yes
ifneq (,$(filter $(DEB_HOST_ARCH), $(GCJ_NATIVE_ARCHS)))
ENABLE_GCJ=yes
endif
endif

CONFIGURE_SWITCHES =    --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib \
			--enable-cxx \
			--enable-compat185 \
			--enable-sql \
			--enable-stl \
			--enable-tcl \
			--with-tcl=/usr/lib \
			--enable-test

ifeq (zx86_64-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
CONFIGURE_SWITCHES += --with-mutex=POSIX/pthreads/library
endif
ifeq (zavr32-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
CONFIGURE_SWITCHES += --enable-posixmutexes
endif

ifeq (yes,$(ENABLE_JAVA))
JAVA_HOME ?= /usr/lib/jvm/default-java
CFLAGS += -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
CONFIGURE_SWITCHES += --enable-java
DH_PLUGINS += --with=javahelper
else
CONFIGURE_SWITCHES += --disable-java
DH_OPTIONS += -Nlibdb5.1-java -Nlibdb5.1-java-dev -Nlibdb5.1-java-gcj
endif

ifeq (no,$(ENABLE_GCJ))
DH_OPTIONS += -Nlibdb5.1-java-gcj
endif


BROKEN_CPUS = zs390z
VERY_BROKEN_CPUS = zm68kz zhppaz
BROKEN_SYSTEMS = zgnuz
VERY_BROKEN_SYSTEMS =

export DH_OPTIONS

package=db5.1
bdbversion=5.1

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

%:
	dh $@ $(DH_PLUGINS)

override_dh_auto_configure:
	dh_auto_configure -Ddist -Bbuild -- $(CONFIGURE_SWITCHES)

override_dh_auto_clean:
	dh_auto_clean -Ddist -Bbuild

override_dh_auto_test:
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(VERY_BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(VERY_BROKEN_SYSTEMS)))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	chmod +x ./debian/runtests.tclsh
	cd build && ../debian/runtests.tclsh || true

ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(BROKEN_SYSTEMS)))
	! grep ^FAIL build/ALL.OUT
else
# Testsuite failures are marked as non-fatal on $(DEB_BUILD_GNU_SYSTEM)-$(DEB_BUILD_GNU_CPU)
	grep ^FAIL build/ALL.OUT || true
endif
else
# Testsuite has been disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
endif
else
# Testsuite has been disabled on $(DEB_BUILD_GNU_SYSTEM)-$(DEB_BUILD_GNU_CPU)
endif

override_dh_auto_install:
	dh_auto_install -Ddist -Bbuild

# Remove .la files
	rm -f $(CURDIR)/debian/tmp/usr/lib/*.la

# Remove libdb*-5.so from all packages, we don't provide generic libdb5 packages
	rm -f $(CURDIR)/debian/tmp/usr/lib/libdb*5.so

	rm -f debian/tmp/usr/lib/libdb.a
	ln -s libdb-$(bdbversion).a $(CURDIR)/debian/tmp/usr/lib/libdb.a

	mv $(CURDIR)/debian/tmp/usr/bin/dbsql $(CURDIR)/debian/tmp/usr/bin/db_sql
	rm -f $(CURDIR)/debian/tmp/usr/bin/sqlite3

	for i in $(CURDIR)/debian/tmp/usr/bin/db_*; do \
	  mv $$i $$(echo $$i | sed -e 's{usr/bin/db_{usr/bin/$(package)_{'); \
	done

override_dh_install:
	dh_install -a -Xusr/doc --list-missing
	tcltk-depends

override_dh_installdocs:
	dh_installdocs -pdb5.1-doc
	dh_installdocs --remaining-packages --link-doc=libdb5.1

override_dh_strip:
	dh_strip -s --dbg-package=libdb5.1-dbg

override_dh_clean:
	DH_OPTIONS="" dh_clean

override_jh_installlibs:
ifeq (yes,$(ENABLE_JAVA))
	jh_installlibs
endif
ifeq (yes,$(ENABLE_GCJ))
	dh_nativejava
endif
